<h1>Customers</h1>
<div>
    <a th:href="@{'/customers/create'}">Create</a>
    <table border="1px solid black">
        <thead>
            <tr>
                <th>ID</th>
                <th>Name</th>
                <th>Address</th>
                <th>Phone Number</th>
                <th>Email</th>
                <th>URL</th>
                <th>Gender</th>
                <th>Status</th>
                <th>Date</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <tr th:each="record:${records}">
                <td th:text="${record.id}"></td>
                <td th:text="${record.name}"></td>
                <td th:text="${record.address}"></td>
                <td th:text="${record.phone_no}"></td>
                <td th:text="${record.email}"></td>
                <td th:text="${record.url}"></td>
                <td th:text="${record.gender}"></td>
                <td th:text="${record.status}"></td>
                <td th:text="${record.date}"></td>
                <td>
                    <a th:href="@{'/customers/edit/'+${record.id}}">Edit</a>
                    <a th:href="@{'/customers/delete/'+${record.id}}">Delete</a>
                </td>
            </tr>
        </tbody>
    </table>
</div>
